|  | Home | Documentation | saml1__ConditionsType Struct Reference updated by Robert van Engelen |

Classes | Public Attributes | List of all members
saml1__ConditionsType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":ConditionsType is a complexType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__ConditionsType:
[legend]

## Classes

struct | __saml1__union_ConditionsType

## Public Attributes

$ int | __size_ConditionsType
struct saml1__ConditionsType::__saml1__union_ConditionsType * | __union_ConditionsType
xsd__dateTime * | NotBefore
| Attribute "NotBefore" of type xs:dateTime.
xsd__dateTime * | NotOnOrAfter
| Attribute "NotOnOrAfter" of type xs:dateTime.

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":ConditionsType is a complexType.

Note
  struct saml1__ConditionsType operations:
  - saml1__ConditionsType* soap_new_saml1__ConditionsType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__ConditionsType(struct soap*, saml1__ConditionsType*) default initialize members
  - int soap_read_saml1__ConditionsType(struct soap*, saml1__ConditionsType*) deserialize from a source
  - int soap_write_saml1__ConditionsType(struct soap*, saml1__ConditionsType*) serialize to a sink
  - saml1__ConditionsType* soap_dup_saml1__ConditionsType(struct soap*, saml1__ConditionsType* dst, saml1__ConditionsType <em>src) returns deep copy of saml1__ConditionsType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__ConditionsType(saml1__ConditionsType
  ) deep deletes saml1__ConditionsType data members, use only on dst after soap_dup_saml1__ConditionsType(NULL, saml1__ConditionsType *dst, saml1__ConditionsType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ __size_ConditionsType

$ int saml1__ConditionsType::__size_ConditionsType

## ◆ __union_ConditionsType

struct saml1__ConditionsType::__saml1__union_ConditionsType * saml1__ConditionsType::__union_ConditionsType

## ◆ NotBefore

xsd__dateTime* saml1__ConditionsType::NotBefore

Attribute "NotBefore" of type xs:dateTime.

Optional attribute.

## ◆ NotOnOrAfter

xsd__dateTime* saml1__ConditionsType::NotOnOrAfter

Attribute "NotOnOrAfter" of type xs:dateTime.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml1.h